import request from '@/config/axios'

export interface AnalysisDetVO {
  id: string
  code: string,
  mdj: string,
  zl: string,
  cl: string,
  hf: string,
  lf: string,
  fwljcl: string,
  fwljhf: number,
  cwljcl: number,
  cwljhf: number,
}



// 查询AnalysisDetVO详情
export const getAnalysisDetVO = (id: number) => {
  return request.get({ url: `/xmcpms/data/da/point/info/${id}`})
}

// 新增AnalysisDetVO
export const createAnalysisDetVO = (data: AnalysisDetVO) => {
  return request.post({ url: '/xmcpms/data/da/point/create', data })
}

// 修改AnalysisDetVO
export const updateAnalysisDetVO = (data: AnalysisDetVO) => {
  return request.put({ url: '/xmcpms/data/da/point/update', data })
}

// 删除AnalysisDetVO
export const deleteAnalysisDetVO = (id: number) => {
  return request.delete({ url: '/xmcpms/data/da/point/delete?id=' + id })
}
